from gpiozero import Button, LED
from signal import pause

led = LED(23)
button = Button(4, bounce_time=0.02)

led_status = False

def toggle_led():
    global led_status
    if led_status:
        led.off()
        print("LED ausgeschaltet")
    else:
        led.on()
        print("LED eingeschaltet")
    led_status = not led_status

button.when_pressed = toggle_led
pause()