from gpiozero import RotaryEncoder, Button
from signal import pause

clk_pin = 17  # CLK (A)
dt_pin = 18   # DT (B)
sw_pin = 4   # Optional: Button Pin

encoder = RotaryEncoder(clk_pin, dt_pin, max_steps=100)
button = Button(sw_pin, pull_up = True, bounce_time= None)

def turned():
    print(f"Position: {encoder.steps}")

def button_pressed():
    print("Button gedrückt!")

encoder.when_rotated = turned
button.when_pressed = button_pressed
pause()